| hxt-8.5.4: A collection of tools for processing XML with Haskell. | Source code | Contents | Index
Text.XML.HXT.RelaxNG.Simplification |
Portability | portable
Stability | stable
Maintainer | Uwe Schmidt (uwe@fh-wedel.de)
Description
The modul creates the simplified form of a Relax NG schema. See also chapter 4 of the Relax NG specification.
Synopsis
createSimpleForm :: Attributes -> Bool -> Bool -> Bool -> IOSArrow XmlTree XmlTree
getErrors :: IOSArrow XmlTree XmlTree
Documentation
createSimpleForm :: Attributes -> Bool -> Bool -> Bool -> IOSArrow XmlTree XmlTree | Source
Creates the simple form of a Relax NG schema (see also: `relaxOptions`)
getErrors :: IOSArrow XmlTree XmlTree | Source
Returns the list of simplification errors or `none`
Produced by Haddock version 2.4.2